Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class Router

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.Router

    public class Router

extends Object

Routes signals to appropriate destinations

Version:
  $Revision: 1.14 $
Author:
  Shreedhar Ganapathy Date: Jan 16, 2004

Constructor Summary
`Router()`

Method Summary
`Set<String>` | `getFailureRecoveryComponents()`
`boolean` | `isFailureNotificationAFRegistered()`
`boolean` | `isFailureRecoveryAFRegistered()`
`boolean` | `isFailureSuspectedAFRegistered()`
`boolean` | `isGroupLeadershipNotificationAFRegistered()`
`boolean` | `isJoinedAndReadyNotificationAFRegistered()`
`boolean` | `isJoinNotificationAFRegistered()`
`boolean` | `isMessageAFRegistered()`
`boolean` | `isPlannedShutdownAFRegistered()`
`void` | `queueSignal(SignalPacket signalPacket)` Adds a single signal to the queue.
`void` | `queueSignals(SignalPacket signalPacket)` Queues signals.
`void` | `removeFailureRecoveryAFDestination(String componentName)` removes a FailureRecoveryActionFactory instance belonging to a specified component
`void` | `removeMessageAFDestination(String componentName)` removes a MessageActionFactory instance belonging to a specified component

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Router

    public Router()

Method Detail

### removeMessageAFDestination

    public void removeMessageAFDestination(String componentName)

  removes a MessageActionFactory instance belonging to a specified component

  Parameters:
    `componentName` - the component name

### removeFailureRecoveryAFDestination

    public void removeFailureRecoveryAFDestination(String componentName)

  removes a FailureRecoveryActionFactory instance belonging to a specified component

  Parameters:
    `componentName` - the component name

### queueSignals

    public void queueSignals(SignalPacket signalPacket)

  Queues signals. Expects an array of signals which are handed off to working threads that will determine their corresponding actions to call their consumeSignal method.

  Parameters:
    `signalPacket` - the signal packet

### queueSignal

    public void queueSignal(SignalPacket signalPacket)

  Adds a single signal to the queue.

  Parameters:
    `signalPacket` - the signal packet

### isFailureNotificationAFRegistered

    public boolean isFailureNotificationAFRegistered()

### isFailureRecoveryAFRegistered

    public boolean isFailureRecoveryAFRegistered()

### isMessageAFRegistered

    public boolean isMessageAFRegistered()

### isPlannedShutdownAFRegistered

    public boolean isPlannedShutdownAFRegistered()

### isJoinNotificationAFRegistered

    public boolean isJoinNotificationAFRegistered()

### isJoinedAndReadyNotificationAFRegistered

    public boolean isJoinedAndReadyNotificationAFRegistered()

### isFailureSuspectedAFRegistered

    public boolean isFailureSuspectedAFRegistered()

### isGroupLeadershipNotificationAFRegistered

    public boolean isGroupLeadershipNotificationAFRegistered()

### getFailureRecoveryComponents

    public Set<String> getFailureRecoveryComponents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.